export default {
    name: "tabs",
    title: "好货精选",
    tag: "商品组件",
    module: "kaola-components",
    meta: [
        {
            name: "marginBottom",
            title: "下边距",
            type: "text",
            default: "14px",
        },
    ],
    schema: {
        type: "product",
        min: 8,
        max: 30,
        // 分组配置
        group: {
            min: 2,
            max: 8,
            props: ["title", "describe", "keyword"],
        },
        // 数据字段配置
        props: ["id", "title", "tags", "summary", "picture", "group"],
        tips: {},
    },
    mock: [
        {
            title: "精选",
            describe: "为您推荐",
            keyword: "",
            data: [
                {
                    picture:
                        "https://kaola-pop.oss.kaolacdn.com/45cd4b82-1fd9-430e-aa0c-6482ce16e3ea",
                    title: "Baseus倍思 充电宝10000毫安小巧便携自带线手机移动电源专用一万pd快充电宝迷你小型适用于苹果华为通用",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "https://kaola-pop.oss.kaolacdn.com/4dacff5acc86444ca0423e4ab54bd72d_800_800.jpg",
                    title: "韩国moeta深层去黑头收缩毛孔草莓鼻子去黑头棒神器导出精华液鼻贴粉刺闭口深层清洁收缩毛孔10.5g",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "https://kaola-pop.oss.kaolacdn.com/147d20d1897b4bcc9c1878f156ac3c8f_800_800.jpg",
                    title: "【9.9元限时秒】氨基酸洁面乳面部清洁男女士洁面乳泡沫绵密温和卸妆补水保湿控油 大容量性价比超高500g",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "//kaola-pop.oss.kaolacdn.com/b086dd20d93742b2bbe83cfce58ad7bc_800_800.jpg",
                    title: "Bincoo运动水杯女网红款健身塑料杯便携大容量无毒耐高温防摔杯子随手杯",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "//kaola-pop.oss.kaolacdn.com/6058c7d363c84ac2bbe6e8318501fd01_800_800.jpg",
                    title: "玻璃杯女便携可爱泡茶杯大容量咖啡杯子男直饮简约果汁吸管水杯",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "//kaola-pop.oss.kaolacdn.com/45cd4b82-1fd9-430e-aa0c-6482ce16e3ea",
                    title: "Baseus倍思 充电宝10000毫安小巧便携自带线手机移动电源专用一万pd快充电宝迷你小型适用于苹果华为通用",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
            ],
        },
        {
            title: "新品",
            describe: "新品速递",
            keyword: "",
            data: [
                {
                    picture:
                        "https://kaola-pop.oss.kaolacdn.com/706c6fcffe1f4eccb039c7544d581441_800_800.jpg",
                    title: "Baseus倍思 充电宝10000毫安小巧便携自带线手机移动电源专用一万pd快充电宝迷你小型适用于苹果华为通用",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "https://kaola-haitao.oss.kaolacdn.com/729b3d61f0314c34bc25b7bf9823f00915900474227445D9DB2BFD8E43969D43965FC712E33E6.jpg",
                    title: "韩国moeta深层去黑头收缩毛孔草莓鼻子去黑头棒神器导出精华液鼻贴粉刺闭口深层清洁收缩毛孔10.5g",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "https://kaola-pop.oss.kaolacdn.com/6c0450b214e84e6594653e70e810a77e_800_800.png",
                    title: "【9.9元限时秒】氨基酸洁面乳面部清洁男女士洁面乳泡沫绵密温和卸妆补水保湿控油 大容量性价比超高500g",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "https://kaola-pop.oss.kaolacdn.com/c7fc2df4881d4c7c9425b8e4b2fda931_800_800.jpg",
                    title: "Bincoo运动水杯女网红款健身塑料杯便携大容量无毒耐高温防摔杯子随手杯",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "https://kaola-pop.oss.kaolacdn.com/63908c42c5fe485cba45e9ede17e6f1d_800_800.jpg",
                    title: "玻璃杯女便携可爱泡茶杯大容量咖啡杯子男直饮简约果汁吸管水杯",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "https://kaola-pop.oss.kaolacdn.com/e6fcf434d8a64472b9aa8cd828dc1db9_800_800.jpg",
                    title: "Baseus倍思 充电宝10000毫安小巧便携自带线手机移动电源专用一万pd快充电宝迷你小型适用于苹果华为通用",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
            ],
        },
        {
            title: "直播",
            describe: "主播力荐",
            keyword: "",
            data: [
                {
                    picture:
                        "https://kaola-pop.oss.kaolacdn.com/fd4b87f5675e4e3a880d5ecfe26d32a5_800_800.jpg",
                    title: "Baseus倍思 充电宝10000毫安小巧便携自带线手机移动电源专用一万pd快充电宝迷你小型适用于苹果华为通用",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "https://kaola-haitao.oss.kaolacdn.com/f9fd9309-590d-4916-865b-c0e9060fbc1d.jpg",
                    title: "韩国moeta深层去黑头收缩毛孔草莓鼻子去黑头棒神器导出精华液鼻贴粉刺闭口深层清洁收缩毛孔10.5g",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "https://kaola-pop.oss.kaolacdn.com/5b1d0216ce0f4da6b13123fa4bb827ed_800_800.jpg",
                    title: "【9.9元限时秒】氨基酸洁面乳面部清洁男女士洁面乳泡沫绵密温和卸妆补水保湿控油 大容量性价比超高500g",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "https://kaola-pop.oss.kaolacdn.com/32a68b00a69e45888b4191bec2ac6ae7_800_800.jpg",
                    title: "Bincoo运动水杯女网红款健身塑料杯便携大容量无毒耐高温防摔杯子随手杯",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "https://kaola-pop.oss.kaolacdn.com/5d7e274ad103495688ee8f3d015af068_800_800.jpg",
                    title: "玻璃杯女便携可爱泡茶杯大容量咖啡杯子男直饮简约果汁吸管水杯",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "https://kaola-pop.oss.kaolacdn.com/ee94186f5911424f9fcc6643ad157aae_800_800.jpg",
                    title: "Baseus倍思 充电宝10000毫安小巧便携自带线手机移动电源专用一万pd快充电宝迷你小型适用于苹果华为通用",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
            ],
        },
        {
            title: "实惠",
            describe: "便宜好货",
            keyword: "",
            data: [
                {
                    picture:
                        "https://kaola-pop.oss.kaolacdn.com/11c1614b291d4c0da49165d1247006f8_800_800.jpg",
                    title: "Baseus倍思 充电宝10000毫安小巧便携自带线手机移动电源专用一万pd快充电宝迷你小型适用于苹果华为通用",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "https://kaola-pop.oss.kaolacdn.com/63716e3fd1eb4a9082fb62972c3325d7_800_800.jpg",
                    title: "韩国moeta深层去黑头收缩毛孔草莓鼻子去黑头棒神器导出精华液鼻贴粉刺闭口深层清洁收缩毛孔10.5g",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "https://kaola-pop.oss.kaolacdn.com/041b8dd107e74312824fcb29aac824a2_800_800.jpg",
                    title: "【9.9元限时秒】氨基酸洁面乳面部清洁男女士洁面乳泡沫绵密温和卸妆补水保湿控油 大容量性价比超高500g",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "https://kaola-pop.oss.kaolacdn.com/f96f2ad201434c15bfb9f04a45a5bde6_800_800.jpg",
                    title: "Bincoo运动水杯女网红款健身塑料杯便携大容量无毒耐高温防摔杯子随手杯",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "https://kaola-haitao.oss.kaolacdn.com/19230742-c723-4697-83a6-e6d7cf32b58e.jpg",
                    title: "玻璃杯女便携可爱泡茶杯大容量咖啡杯子男直饮简约果汁吸管水杯",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
                {
                    picture:
                        "https://kaola-pop.oss.kaolacdn.com/1e903ed6b97443f0a3755f1ba702db3a_800_800.jpg",
                    title: "Baseus倍思 充电宝10000毫安小巧便携自带线手机移动电源专用一万pd快充电宝迷你小型适用于苹果华为通用",
                    price: "288",
                    origin: "233",
                    sales: "3",
                },
            ],
        },
    ],
};
