/**
 *@description 向oss打包发布文件
 */

const simpleGit = require("simple-git");
const GIT = simpleGit("./");
const fs = require("fs");
const join = require("path").join;
const packageFile = JSON.parse(fs.readFileSync("./package.json"));
function deleteFolder(path) {
    let files = [];
    if (fs.existsSync(path)) {
        files = fs.readdirSync(path);
        files.forEach(function(file, index) {
            let curPath = path + "/" + file;
            if (fs.statSync(curPath).isDirectory()) {
                deleteFolder(curPath);
            } else {
                fs.unlinkSync(curPath);
            }
        });
        fs.rmdirSync(path);
    }
}
GIT.branchLocal((err, branch) => {
    let name = packageFile.name,
        version = branch.current;
    let target = join(__dirname, "../dist", name);
    if (fs.existsSync(target)) {
        deleteFolder(target);
    }
    fs.mkdirSync(target);
    target = join(target, version);
    fs.mkdirSync(target);
    let dir = join(__dirname, "../dist");
    let files = fs.readdirSync(dir);
    files.forEach((item, index) => {
        if (item.indexOf(name) === 0) {
            return;
        }
        let fPath = join(dir, item);
        // 合并文件夹
        fs.renameSync(fPath, join(target, item));
    });
});
