/**
 *@description 向oss打包发布文件
 */

const os = require("os");
let vars = JSON.parse(process.env.GlobalEnvironmentVariableJson);
let domain = vars.domain;
const fs = require("fs");
const { join, sep } = require("path");
const packageFile = JSON.parse(fs.readFileSync("./package.json"));
const OSS = require("ali-oss");
const client = new OSS(vars);
function send(dir, output) {
    let files = fs.readdirSync(dir);
    files.forEach((item, index) => {
        // 过滤无效文件
        if (item.indexOf(".") === 0 || item.indexOf(".html") > -1) {
            return;
        }
        let fPath = join(dir, item);
        let stat = fs.statSync(fPath);
        if (stat.isDirectory() === true) {
            send(fPath, join(output, item));
        }
        if (stat.isFile() === true) {
            console.log(fPath);
            let target = join(output, item)
                .split(sep)
                .join("/");
            client.put(target, fPath);
        }
    });
}

let name = packageFile.name,
    version = process.env.GitRepoBranch;
send(join(__dirname, "../dist"), name + "/" + version + "/");
console.log(domain + "/" + name + "/" + version + "/js/app.js");
